@charset "utf-8";


/* --------------------------------------------

	header

---------------------------------------------- */

#header {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	min-width: 1024px;
	padding: 0 5rem 0 3rem;
	z-index: 99;
}

.header__wrap {
	position: relative;
	display: flex;
	justify-content: space-between;
	align-items: center;
	height: 127px;
}

@media only screen and (max-width:640px) {
	#header {
		padding: 1.5rem;
		transition: padding 0.4s ease;
	}

	.header__wrap {
		height: 80px;
	}
}


/* --------------------------------------------

	header__logo

---------------------------------------------- */

.header__logo {
	transition: transform 0.4s ease, font-size 0.4s ease;
}

.header__logo a {
	display: block;
	color: var(--c-white);
}

@media (hover:hover) {
	.header__logo a:hover {
		color: var(--c-text);
		transition: 0.4s
	}
}

.header__logo a h1 {
	margin-bottom: 0.8rem;
	line-height: 1.0;
	font-size: var(--fz-headerLogo);
	font-weight: var(--fw-bold);
}

.header__logo a h1 > span {
	letter-spacing: -0.01em;
	font-weight: var(--fw-light);
}

.header__logo a h1 + span {
	display: block;
	letter-spacing: 0.03em;
	line-height: 1.2;
	font-size: var(--fz-headerLogo-s);
}


/* --------------------------------------------

	header__nav

---------------------------------------------- */

.header__nav {
	display: flex;
	justify-content: flex-end;
	align-items: center;
	margin: 0 7.5rem 0 0;
	transition: 0.4s ease;
}

.headerNav__list {
	display: flex;
	justify-content: flex-end;
}

.headerNav__list li {
	padding: 0 2rem;
}

.headerNav__list li a {
	display: grid;
	place-content: center;
	place-items: center;
	height: 40px;
	color: var(--c-white);
	font-size: var(--fz-l);
	font-weight: var(--fw-bold);
}

.headerNav__list li a > span {
	display: block;
	font-size: var(--fz-s);
}


@media (hover:hover) {
	.headerNav__list li a:hover {
		color: var(--c-text);
		transition: 0.4s
	}
}

.headerNav__list li:first-child {
	padding-left: 0;
}

.headerNav__list li:last-child {
	padding-right: 0;
}

.contact__link {
	display: flex;
	align-items: center;
}

.contact__link a {
	position: relative;
	display: inline-block;
	width: 60px;
	height: 60px;
	margin-left: 3rem;
	background-color: var(--c-white);
	border-radius: 50%;
}

.contact__link a::after {
	content: "";
	position: absolute;
	top: calc(50% - 8px);
	left: calc(50% - 10px);
	width: 20px;
	height: 16px;
	background-color: var(--c-purple);
	mask: url(../_image/common/contact.svg) no-repeat center/contain;
}

@media (hover:hover) {
	.contact__link a:hover {
		background-color: var(--c-text);
		transition: 0.4s
	}

	.contact__link a:hover::after {
		background-color: var(--c-white);
		transition: 0.4s
	}
}

@media only screen and (max-width:1300px) {
	.header__nav {
		display: none;
	}
}

@media only screen and (max-width:640px) {}


/* --------------------------------------------

	burgerBtn

---------------------------------------------- */

.header__burgerBtn {
	position: fixed;
	top: 34px;
	right: 5rem;
	display: flex;
	justify-content: center;
	align-items: center;
	width: 60px;
	height: 60px;
	background-color: var(--c-white);
	border-radius: 50%;
	cursor: pointer;
	transition: 0.4s ease;
	z-index: 9999;
}

/* ハンバーガーメニュー */
.header__burgerBtn span {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 18px;
	display: block;
	width: 24px;
	height: 1.5px;
	margin: 0 auto;
	background-color: rgba(54, 58, 100, 1);
	transition: 0.5s;
}

.header__burgerBtn span:nth-of-type(1) {
	top: calc(50% - 7px);
}

.header__burgerBtn span:nth-of-type(2) {
	top: 50%;
}

.header__burgerBtn span:nth-of-type(3) {
	top: calc(50% + 7px);
}

.is-open .header__burgerBtn span:nth-of-type(1)  {
	left: 15px;
	width: 30px;
    transform: translateY(7px) rotate(-45deg);
}

.is-open .header__burgerBtn span:nth-of-type(2) {
    left: 50%;
    opacity: 0;
    -webkit-animation: open-btn-bar .3s forwards;
    animation: open-btn-bar .3s forwards;
}

@-webkit-keyframes open-btn-bar {
    100% {
        height: 0;
    }
}
    @keyframes open-btn-bar {
    100% {
        height: 0;
    }
}

.is-open .header__burgerBtn span:nth-of-type(3) {
	left: 15px;
	width: 30px;
    transform: translateY(-7px) rotate(45deg);
}

@media only screen and (max-width:640px) {
	.header__burgerBtn {
		top: 1.5rem;
		right: 1.5rem;
		width: 80px;
		height: 80px;
	}

	/* ハンバーガーメニュー */
	.header__burgerBtn span {
		left: 25px;
		width: 30px;
		height: 2px;
	}
	.header__burgerBtn span:nth-of-type(1) {
		top: calc(50% - 10px);
	}

	.header__burgerBtn span:nth-of-type(2) {
		top: 50%;
	}

	.header__burgerBtn span:nth-of-type(3) {
		top: calc(50% + 10px);
	}

	.is-open .header__burgerBtn span:nth-of-type(1)  {
		left: 20px;
		width: 40px;
		transform: translateY(10px) rotate(-45deg);
	}
	
	.is-open .header__burgerBtn span:nth-of-type(3) {
		left: 20px;
		width: 40px;
		transform: translateY(-10px) rotate(45deg);
	}
}


/* --------------------------------------------

	sitemap

---------------------------------------------- */

#sitemap {
	position: fixed;
	top: 0;
	right: -600px;
	bottom: 0;
	display: block;
	width: 600px;
	background: var(--c-blue);
	filter: brightness(1.1);
	overflow-x: hidden;
	overflow-y: auto;
	-webkit-overflow-scrolling: touch;
	transition: all .5s;
	opacity: 0;
	z-index: 999;
}

.is-open #sitemap {
	right: 0;
	opacity: 1;
}

#mask {
	display: none;
	transition: all .5s;
}

.is-open #mask {
	position: fixed;
	top: 0;
	left: 0;
	display: block;
	width: 100%;
	height: 100%;
	background: var(--c-text);
	opacity: 0.8;
	z-index: 998;
	cursor: pointer;
	}

.sitemap__wrap {
	padding:  8rem 4rem;
}

.sitemap__wrap .headerNav__list {
	display: block;
}

.sitemap__wrap .headerNav__list li:first-child {
	padding-left: 2rem;
}

.sitemap__wrap .headerNav__list li:last-child {
	padding-right: 2rem;
}

.sitemap__wrap .headerNav__list a {
	margin-bottom: 5rem;
	justify-content: center;
}


/* --------------------------------------------

#header ※スクロール時（.is-active）

---------------------------------------------- */

#header.is-active {
	padding: 0 3rem;
    background-color: var(--c-blue);
}

#header.is-active .header__wrap {
    height: 80px;
}

#header.is-active .header__logo {
	margin-top: 0.5rem;
	transform: scale(0.8);
    transform-origin: 0 50%;
}

#header.is-active .header__nav {
	margin: 0 6.5rem 0 0;
}

#header.is-active .headerNav__list li {
	padding: 0 1.8rem;
}

#header.is-active .headerNav__list li:first-child {
	padding-left: 0;
}

#header.is-active .headerNav__list li:last-child {
	padding-right: 0;
}

#header.is-active .contact__link a {
	width: 50px;
	height: 50px;
}

.header__burgerBtn.is-active {
	top: 15px;
	right: 3rem;
	width: 50px;
	height: 50px;
}

body.is-open .header__burgerBtn.is-active {
	top: 34px;
	right: 5rem;
	width: 60px;
	height: 60px;
}

.header__burgerBtn.is-active span {
	left: 13px;
}

body.is-open .header__burgerBtn.is-active span {
	left: 15px;
}

@media only screen and (max-width:640px) {
	#header.is-active {
		padding: 1rem;
	}

	#header.is-active .header__logo {
		margin-top: 0;
		transform: scale(1);
	}

	.header__burgerBtn.is-active {
		top: 1rem;
		right: 1rem;
		width: 80px;
		height: 80px;
	}

	.header__burgerBtn.is-active span {
		left: 25px;
	}

	body.is-open .header__burgerBtn.is-active {
		top: 1rem;
		right: 1rem;
		width: 80px;
		height: 80px;
	}

	body.is-open .header__burgerBtn.is-active span {
		left: 20px;
	}
}


/* --------------------------------------------

#header　印刷時

---------------------------------------------- */

@media print {
	#header {
		display: none;
	}
}